From: "martin f. krafft" <madduck@debian.org>
Date: Sun, 25 Aug 2013 07:55:30 +0200
Subject: Loosen config file permission checks

While upstream insists on /etc/vmm/vmm.cfg to be mode 0600, 0640 is more
suitable to Debian and co-administration.

Signed-Off-By: martin f. krafft <madduck@debian.org>
Signed-off-by: martin f. krafft <madduck@madduck.net>
---
 VirtualMailManager/handler.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

Index: vmm/VirtualMailManager/handler.py
===================================================================
--- vmm.orig/VirtualMailManager/handler.py
+++ vmm/VirtualMailManager/handler.py
@@ -110,11 +110,11 @@ class Handler(object):
         OTHRW = S_IROTH | S_IWOTH
         self._find_cfg_file()
         fstat = os.stat(self._cfg_fname)
-        if (fstat.st_uid == fstat.st_gid and fstat.st_mode & OTHRW) or \
-           (fstat.st_uid != fstat.st_gid and fstat.st_mode & (GRPRW | OTHRW)):
-            # TP: Please keep the backticks around the command. `chmod 0600 …`
+        fmode = oct(fstat.st_mode & 0o777)
+        if (fstat.st_mode & 0o7777) != 0o0640:
+            # TP: Please keep the backticks around the command. `chmod 0640 …`
             raise PermissionError(_("wrong permissions for '%(file)s': "
-                                    "%(perms)s\n`chmod 0600 %(file)s` would "
+                                    "%(perms)s\n`chmod 0640 %(file)s` would "
                                     "be great.") % {'file': self._cfg_fname,
                                   'perms': oct(fstat.st_mode)[-4:]},
                                   CONF_WRONGPERM)
